org.red5.server.api.event

## Interface IEventObservable

All Known Subinterfaces:
  IBasicScope, IBroadcastScope, IGlobalScope, IScope, ISharedObject

All Known Implementing Classes:
  BasicScope, BroadcastScope, GlobalScope, RoomScope, Scope, SharedObjectScope, WebScope

    public interface IEventObservable

IEventObservable hold functionality of the well-known Observer pattern, that is it has a list of objects that listen to events.

### Method Summary

Methods
`void` `addEventListener(IEventListener listener)` Add event listener to this observable
`Set<IEventListener>` `getEventListeners()` Returns event listeners
`void` `removeEventListener(IEventListener listener)` Remove event listener from this observable

### Method Detail

#### addEventListener

    void addEventListener(IEventListener listener)

Add event listener to this observable

Parameters:
  `listener` - Event listener

#### removeEventListener

    void removeEventListener(IEventListener listener)

Remove event listener from this observable

Parameters:
  `listener` - Event listener

#### getEventListeners

    Set<IEventListener> getEventListeners()

Returns event listeners

Returns:
  Event listeners iterator